Package com.pixelmed.apps

# Class RemapFrameOfReferenceUIDs

java.lang.Object
com.pixelmed.apps.RemapFrameOfReferenceUIDs

public class RemapFrameOfReferenceUIDs extends Object

A class to read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

Useful, for example, when Frame of Reference UIDs have been incorrectly changed during de-identification and are inconsistent within a set.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`RemapFrameOfReferenceUIDs.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ourAETitle`

## Constructor Summary

Constructors
Constructor
Description
`RemapFrameOfReferenceUIDs(String scope, String srcFolderName, String dstFolderName)`
Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

## Constructor Details

### RemapFrameOfReferenceUIDs

public RemapFrameOfReferenceUIDs(String scope, String srcFolderName, String dstFolderName) throws FileNotFoundException, IOException, DicomException

Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

Uses the same sub-folder and file names in the destination folder as supplied in the source folder.

Parameters:
  `scope` -
  `srcFolderName` -
  `dstFolderName` -
Throws:
  `FileNotFoundException`
  `IOException`
  `DicomException`

## Method Details

### main

public static void main(String[] arg)

Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

Uses the same sub-folder and file names in the destination folder as supplied in the source folder.

Parameters:
  `arg` - [SERIES|STUDY] srcFolderName dstFolderName